/*==============================================================*/
/* Database name:  PHYSICALDATAMODEL_1                          */
/* DBMS name:      Sybase AS Anywhere 8                         */
/* Created on:     22-10-2007 09:31:18                          */
/*==============================================================*/
if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_DNEV_IZV'
     and t.table_name='F_DNEV_IZV'
) then
   drop index F_DNEV_IZV.PK_F_DNEV_IZV
end if    
go


if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_GRUPE_ROBA'
     and t.table_name='F_GRUPE_ROBA'
) then
   drop index F_GRUPE_ROBA.PK_F_GRUPE_ROBA
end if    
go


if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_KUPCI'
     and t.table_name='F_KUPCI'
) then
   drop index F_KUPCI.PK_F_KUPCI
end if    
go


if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_NIVELACIJA'
     and t.table_name='F_NIVELACIJA'
) then
   drop index F_NIVELACIJA.PK_F_NIVELACIJA
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_OBJEKAT'
     and t.table_name='F_OBJEKAT'
) then
   drop index F_OBJEKAT.PK_F_OBJEKAT
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_OPERATERI'
     and t.table_name='F_OPERATERI'
) then
   drop index F_OPERATERI.PK_F_OPERATERI
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_PLACANJE'
     and t.table_name='F_PLACANJE'
) then
   drop index F_PLACANJE.PK_F_PLACANJE
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_POR_STOPE'
     and t.table_name='F_POR_STOPE'
) then
   drop index F_POR_STOPE.PK_F_POR_STOPE
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_RACUN'
     and t.table_name='F_RACUN'
) then
   drop index F_RACUN.PK_F_RACUN
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='I_ASC_F_BAR_CODE'
     and t.table_name='F_ROBA'
) then
   drop index F_ROBA.I_ASC_F_BAR_CODE
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='I_ASC_F_CIJENA_ROBE'
     and t.table_name='F_ROBA'
) then
   drop index F_ROBA.I_ASC_F_CIJENA_ROBE
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='I_ASC_F_NAZIV_ROBE'
     and t.table_name='F_ROBA'
) then
   drop index F_ROBA.I_ASC_F_NAZIV_ROBE
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='I_ASC_F_SIFRA_GRUPA'
     and t.table_name='F_ROBA'
) then
   drop index F_ROBA.I_ASC_F_SIFRA_GRUPA
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='I_ASC_F_SIFRA_POR_STOPE'
     and t.table_name='F_ROBA'
) then
   drop index F_ROBA.I_ASC_F_SIFRA_POR_STOPE
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_ROBA'
     and t.table_name='F_ROBA'
     
) then
   drop index F_ROBA.PK_F_ROBA
end if    
go

if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_SEMAFOR'
     and t.table_name='F_SEMAFOR'
) then
   drop index F_SEMAFOR.PK_F_SEMAFOR
end if    
go


if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_LOG_RACUN'
     and t.table_name='F_LOG_RACUN'
) then
   drop index F_LOG_RACUN.PK_F_LOG_RACUN
end if    
go


if exists(
   select 1 from sys.sysindex i, sys.systable t
   where i.table_id=t.table_id 
     and i.index_name='PK_F_LOG_STAVKE'
     and t.table_name='F_LOG_STAVKE'
) then
   drop index F_LOG_STAVKE.PK_F_LOG_STAVKE
end if    
go


if exists(
   select 1 from sys.systable 
   where table_name='F_DNEV_IZV'
     and table_type='BASE'
     
) then
    drop table F_DNEV_IZV
end if    
go


if exists(
   select 1 from sys.systable 
   where table_name='F_GRUPE_ROBA'
     and table_type='BASE'
     
) then
    drop table F_GRUPE_ROBA
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_KUPCI'
     and table_type='BASE'
     
) then
    drop table F_KUPCI
end if    
go


if exists(
   select 1 from sys.systable 
   where table_name='F_NIVELACIJA'
     and table_type='BASE'
     
) then
    drop table F_NIVELACIJA
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_OBJEKAT'
     and table_type='BASE'
     
) then
    drop table F_OBJEKAT
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_OPERATERI'
     and table_type='BASE'
     
) then
    drop table F_OPERATERI
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_PLACANJE'
     and table_type='BASE'
     
) then
    drop table F_PLACANJE
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_POR_STOPE'
     and table_type='BASE'
     
) then
    drop table F_POR_STOPE
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_RACUN'
     and table_type='BASE'
     
) then
    drop table F_RACUN
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_ROBA'
     and table_type='BASE'
     
) then
    drop table F_ROBA
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_SEMAFOR'
     and table_type='BASE'
     
) then
    drop table F_SEMAFOR
end if    
go


if exists(
   select 1 from sys.systable 
   where table_name='F_LOG_RACUN'
     and table_type='BASE'
     
) then
    drop table F_LOG_RACUN
end if    
go

if exists(
   select 1 from sys.systable 
   where table_name='F_LOG_STAVKE'
     and table_type='BASE'
     
) then
    drop table F_LOG_STAVKE
end if    
go


/*==============================================================*/
/* Table: F_DNEV_IZV                                         */
/*==============================================================*/
CREATE TABLE F_DNEV_IZV (
  F_ID_KASE	float   default 1 not null,
  F_GODINA	float   not null,
  F_MJESEC	float   not null,
  F_DAN   	float   not null,
  F_RB_DNEV_IZV float   not null,
  F_DATUM	TIMESTAMP not null,
  F_DATUM_IZV	varcha(20) not null,
  F_RBP_FISK_MR	float,
  F_RBP_REKL_MR	float,
  F_RBP_FISK_VR float,
  F_RBP_REKL_VR	float,
  F_BR_STORNO_ART	float,  
  F_BR_IZD_FAKT  	float
)
go

/*==============================================================*/
/* Index: PK_F_DNEV_IZV                                       */
/*==============================================================*/
create unique  index PK_F_DNEV_IZV on F_DNEV_IZV (F_ID_KASE, F_GODINA, F_MJESEC, 
F_DAN, F_RB_DNEV_IZV
)
go


/*==============================================================*/
/* Table: F_KUPCI                                          */
/*==============================================================*/
create table F_KUPCI (
  F_ID_KASE float  default 1   not null,
  F_SIFRA_KUPCA float   default 1   not null,
  F_NAZIV_KUPCA varchar(32)         ,
  F_ADR_A_KUPCA varchar(32)         ,
  F_ADR_B_KUPCA varchar(32)         ,
  F_ADR_C_KUPCA varchar(32)         ,
  F_IBO_KUPCA   varchar(32)   
)
go

/*==============================================================*/
/* Index: PK_F_KUPCI                                       */
/*==============================================================*/
create  unique index PK_F_KUPCI on F_KUPCI (F_ID_KASE,
F_SIFRA_KUPCA ASC
)
    
go


/*==============================================================*/
/* Table: F_GRUPE_ROBA                                          */
/*==============================================================*/
create table F_GRUPE_ROBA 
(
    F_ID_KASE            float default 1   not null,
    F_SIFRA_GRUPA        float default 1         not null,
    F_NAZIV_GRUPA        varchar(32)
)
    
go

/*==============================================================*/
/* Index: PK_F_GRUPE_ROBA                                       */
/*==============================================================*/
create  unique index PK_F_GRUPE_ROBA on F_GRUPE_ROBA (F_ID_KASE,
F_SIFRA_GRUPA ASC
)
    
go

/*==============================================================*/
/* Table: F_NIVELACIJA                                          */
/*==============================================================*/
create table F_NIVELACIJA 
(
    F_ID_KASE            float  default 1  not null,
    F_RBR                float  default 1  not null,
    F_SIFRA_ROBE         float             not null,
    F_BAR_CODE           varchar(14),
    F_NAZIV_ROBE         varchar(32),
    F_SIFRA_POR_STOPE    float,
    F_SIFRA_GRUPA        float,
    F_CIJENA_ROBE        float,
    F_KOLICINA           float
)
    
go

/*==============================================================*/
/* Index: PK_F_NIVELACIJA                                       */
/*==============================================================*/
create unique  index PK_F_NIVELACIJA on F_NIVELACIJA (F_ID_KASE,
F_RBR ASC,
F_SIFRA_ROBE ASC
)
    
go

/*==============================================================*/
/* Table: F_OBJEKAT                                             */
/*==============================================================*/
create table F_OBJEKAT 
(
    F_ID_KASE            float  default 1 not null,
    F_RBR                float  default 1 not null,
    F_NAZIV_OBJEKTA      varchar(32),
    F_TEL_BROJ           varchar(32),
    F_NAZIV_FIRME        varchar(32),
    F_ADRESA_FIRME       varchar(32),
    F_STAT_BROJ          varchar(32)
)
    
go

/*==============================================================*/
/* Index: PK_F_OBJEKAT                                          */
/*==============================================================*/
create unique index PK_F_OBJEKAT on F_OBJEKAT (F_ID_KASE,
F_RBR ASC
)
    
go

/*==============================================================*/
/* Table: F_OPERATERI                                           */
/*==============================================================*/
create table F_OPERATERI 
(
    F_ID_KASE            float default 1  not null,
    F_SIFRA_OPERATERA    float default 1  not null,
    F_NAZIV_OPERATERA    varchar(32),
    F_LOZINKA_OPERATERA  varchar(16)
)
    
go

/*==============================================================*/
/* Index: PK_F_OPERATERI                                        */
/*==============================================================*/
create unique index PK_F_OPERATERI on F_OPERATERI (F_ID_KASE,
F_SIFRA_OPERATERA ASC
)
    
go

/*==============================================================*/
/* Table: F_PLACANJE                                            */
/*==============================================================*/
create table F_PLACANJE 
(
    F_ID_KASE            float default 1  not null,
    F_RBR                float default 1  not null,
    TIPKNJIZENJA         float default 1  not null,
    F_NACIN_PLACANJA     float            not null,
    F_UPLACENO           float
)
    
go

/*==============================================================*/
/* Index: PK_F_PLACANJE                                         */
/*==============================================================*/
create unique index PK_F_PLACANJE on F_PLACANJE (
F_ID_KASE,F_RBR,TIPKNJIZENJA,F_NACIN_PLACANJA ASC
)
    
go

/*==============================================================*/
/* Table: F_POR_STOPE                                           */
/*==============================================================*/
create table F_POR_STOPE 
(
    F_ID_KASE            float default 1  not null,
    F_SIFRA_POR_STOPE    float            not null,
    F_NAZIV_POR_STOPE    varchar(20),
    F_STOPA_POREZA       float
)
    
go

/*==============================================================*/
/* Index: PK_F_POR_STOPE                                        */
/*==============================================================*/
create unique index PK_F_POR_STOPE on F_POR_STOPE (
F_ID_KASE,F_SIFRA_POR_STOPE ASC
)
    
go

/*==============================================================*/
/* Table: F_RACUN                                               */
/*==============================================================*/
create table F_RACUN 
(
    F_ID_KASE            float default 1  not null,
    F_RBR                float default 1  not null,
    TIPKNJIZENJA         float default 1  not null,
    F_STORNO_STAVKA      float default 0  not null,
    F_SIFRA_ROBE         float            not null,
    F_BAR_CODE           varchar(14),
    F_NAZIV_ROBE         varchar(32),
    F_SIFRA_POR_STOPE    float,
    F_SIFRA_GRUPA        float,
    F_CIJENA_ROBE        float,
    F_KOLICINA           float
)
    
go

/*==============================================================*/
/* Index: PK_F_RACUN                                            */
/*==============================================================*/
create unique index PK_F_RACUN on F_RACUN (
F_ID_KASE,F_RBR ASC,
F_SIFRA_ROBE ASC,TIPKNJIZENJA,F_STORNO_STAVKA 
)
    
go

/*==============================================================*/
/* Table: F_ROBA                                                */
/*==============================================================*/
create table F_ROBA 
(
    F_ID_KASE            float default 1  not null,
    F_SIFRA_ROBE         float            not null,
    F_BAR_CODE           varchar(14),
    F_NAZIV_ROBE         varchar(32),
    F_SIFRA_GRUPA        float,
    F_SIFRA_POR_STOPE    float,
    F_CIJENA_ROBE        float,
    F_KOLICINA           float 
)
    
go

/*==============================================================*/
/* Index: I_ASC_F_BAR_CODE                                      */
/*==============================================================*/
create  index I_ASC_F_BAR_CODE on F_ROBA (
F_ID_KASE,F_BAR_CODE ASC
)
    
go

/*==============================================================*/
/* Index: I_ASC_F_CIJENA_ROBE                                   */
/*==============================================================*/
create  index I_ASC_F_CIJENA_ROBE on F_ROBA (
F_CIJENA_ROBE ASC
)
    
go

/*==============================================================*/
/* Index: I_ASC_F_NAZIV_ROBE                                    */
/*==============================================================*/
create  index I_ASC_F_NAZIV_ROBE on F_ROBA (
F_NAZIV_ROBE ASC
)
    
go

/*==============================================================*/
/* Index: I_ASC_F_SIFRA_GRUPA                                   */
/*==============================================================*/
create  index I_ASC_F_SIFRA_GRUPA on F_ROBA (
F_SIFRA_GRUPA ASC
)
    
go

/*==============================================================*/
/* Index: I_ASC_F_SIFRA_POR_STOPE                               */
/*==============================================================*/
create  index I_ASC_F_SIFRA_POR_STOPE on F_ROBA (
F_SIFRA_POR_STOPE ASC
)
    
go

/*==============================================================*/
/* Index: PK_F_ROBA                                             */
/*==============================================================*/
create unique index PK_F_ROBA on F_ROBA (
F_SIFRA_ROBE ASC
)
    
go

/*==============================================================*/
/* Table: F_SEMAFOR                                             */
/*==============================================================*/
create table F_SEMAFOR 
(
    F_ID_KASE            float default 1  not null,
    F_RBR                float default 1  not null,
    TIPKNJIZENJA         float default 1  not null,
    MEMO                 long varchar,
    PRINTMEMO            float,
    PRINTRACUN           float,
    F_SIFRA_KUPCA        float default 0,
    F_REKL_BROJ          float,
    F_SIF_OPER           integer default 1,
    F_STATUS             integer  default 0  
)
    
go

/*==============================================================*/
/* Index: PK_F_SEMAFOR                                          */
/*==============================================================*/
create unique index PK_F_SEMAFOR on F_SEMAFOR (
F_ID_KASE,F_RBR ASC,TIPKNJIZENJA 
)
go

CREATE TABLE F_LOG_RACUN (
  F_ID_KASE    float default 1  not null,
  F_RBR        float default 1  NOT NULL,
  F_FISK_BROJ  float NOT NULL,
  TIPKNJIZENJA float default 1  not null,
  F_REZ_KOM    float,
  F_STATUS_K   float,
  F_GRESKA_K   float,
  F_KOMANDA    float,
  F_ST_DTIME   varchar(20) 
)
go

create unique  index  PK_F_LOG_RACUN 
 on F_LOG_RACUN (F_ID_KASE,F_RBR,TIPKNJIZENJA)
go

/*==============================================================*/
/*  Table F_LOG_STAVKE  */
/*==============================================================*/
CREATE TABLE F_LOG_STAVKE (
  F_ID_KASE    float default 1  not null,
  F_RBR        float default 1  NOT NULL,
  F_RBR_STAVKE float default 1  NOT NULL,
  TIPKNJIZENJA float default 1  not null,
  F_REZ_KOM float,
  F_STATUS_K float,
  F_GRESKA_K float,
  F_KOMANDA float,
  F_SIFRA_ROBE float NOT NULL,
  F_SIFRA_POR_STOPE float,
  F_SIFRA_GRUPA float,
  F_CIJENA_ROBE float,
  F_STATUS_BIT float
)
go

create unique  index  PK_F_LOG_STAVKE 
  on F_LOG_STAVKE (F_ID_KASE,F_RBR,TIPKNJIZENJA,F_RBR_STAVKE)
go


